Bug 1119520 - Parser used on non-saved files produce an incomprehensible error
Summary: Parser used on non-saved files produce an incomprehensible error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bluefish
Version: 23
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 00:51 UTC by Fiable.biz
Modified: 2016-02-02 19:20 UTC (History)
1 user (show)

Fixed In Version: bluefish-2.2.8-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-02 19:20:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 743842 None None None Never

Description Fiable.biz 2014-07-15 00:51:53 UTC
Description of problem:
Using a parser in submenu Outputbox on a non-saved file produces an error.

Version-Release number of selected component (if applicable):
2.2.6

How reproducible:
Always

Steps to Reproduce:
1.Open Bluefish
2.File → new from template → XHTML 1.0
3.Tags → Headings → H1 (For instance)
4.Write a word in the h1 tag.
5.Tools → Outputbox → xmlling XML checker

Actual results:
"Failed to create a command for xmllint --noout --valid '%f'|."
The same thing occurs if, instead of a XHTML file, you create a new PHP file and launch "php syntax check". In this case, the result is:
"Failed to create a command for php -l -q -f '%f'|."

Expected results:
The checker should work even if the file is not saved, or, at least, the error message should be clear: "The checker only works on saved files. Please save your file first."

Additional info:

Comment 1 Paul Howarth 2015-02-02 10:51:19 UTC
Raised upstream, still present in 2.2.7.

Comment 2 Paul Howarth 2015-02-05 08:32:36 UTC
Upstream is going to fix this in the next release (2.2.8). The error messages for all possible errors have been improved. This particular error now results in this message:

This command requires the current document to have a file name. Please save
your document first.

Comment 3 Fedora End Of Life 2015-05-29 12:22:18 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-11-04 15:31:52 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fiable.biz 2015-12-14 10:58:14 UTC
Version-Release number of selected component (if applicable):
2.2.7

Comment 6 Fedora Update System 2016-01-25 10:06:49 UTC
bluefish-2.2.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5692cf7e86

Comment 7 Fedora Update System 2016-01-26 04:28:35 UTC
bluefish-2.2.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5692cf7e86

Comment 8 Fedora Update System 2016-02-02 19:20:41 UTC
bluefish-2.2.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.